package com.hxhq.business.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hxhq.business.domain.GspJcgj;
import com.hxhq.common.core.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.hxhq.business.mapper.BacteriaJcgjMapper;
import com.hxhq.business.domain.BacteriaJcgj;
import com.hxhq.business.service.IBacteriaJcgjService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 细菌-稽查轨迹Service业务层处理
 *
 * @author hxhq
 * @date 2026-01-12
 */
@Service
public class BacteriaJcgjServiceImpl extends ServiceImpl<BacteriaJcgjMapper, BacteriaJcgj> implements IBacteriaJcgjService
{
    /**
     * 查询细菌-稽查轨迹列表
     *
     * @param bacteriaJcgj 细菌-稽查轨迹
     * @return 细菌-稽查轨迹
     */
    @Override
    public List<BacteriaJcgj> queryList(BacteriaJcgj bacteriaJcgj)
    {
        QueryWrapper<BacteriaJcgj> queryWrapper = Wrappers.query();
        return this.list(queryWrapper);
    }

    @Override
    public void saveJcgj(Long resourceId, Integer jcgjlx, String jcmc, Integer jcmcys, String jcnr, Long jcrId, String jcrMc) {
        BacteriaJcgj jcgj = new BacteriaJcgj();
        jcgj.setBacteriaId(resourceId);
        jcgj.setJcgjlx(jcgjlx);
        jcgj.setJcmc(jcmc);
        jcgj.setJcmcys(jcmcys);
        jcgj.setJcnr(jcnr);
        jcgj.setQmrId(jcrId);
        jcgj.setQmrMc(jcrMc);
        this.save(jcgj);
    }

}
